oem-config issued critical error msg

Bug #361272 reported by jtholmes on 2009-04-14
4
Affects Status Importance Assigned to Milestone
oem-config (Ubuntu)
High
Colin Watson
Jaunty
High
Colin Watson
ubiquity (Ubuntu)
High
Colin Watson
Jaunty
High
Colin Watson
user-setup (Ubuntu)
High
Colin Watson
Jaunty
High
Colin Watson

Bug Description

Binary package hint: oem-config

this could be either oem-config or oem-config-kde cant tell which because i
cant get access to the X server.

Occurred in kubuntu oem -install
installation went fine

right after initial user setup (first boot after removal of eom elements)
the system clears the screen, dims down the Kde Usplash and
displayed a small window in the middle of the screen containing the
following text

Logging in oem

A critical error occurred. Please look at kdm's logfiles for more information
or contact your system administrator

The window contains a small red circle with an X in it near the top left
of the displayed window.

Since Kdm logs to deamon.log i am including it along with the automatic
logs from ubuntu-bug

for clarification this critical error window displays between the end
of the user identification, Who Are you, name, login and password
and just before the normal Kde login screen displays.

There seems to be no discernable problems caused by the error message
you can log in and do whatever.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: oem-config 1.54.12
ProcEnviron:
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: oem-config
Uname: Linux 2.6.28-11-generic i686

jtholmes (jtholmes) wrote :
summary: - oem-config issued critical
+ oem-config issued critical error msg
jtholmes (jtholmes) wrote :

I just noticed this is very reporduceable, i get the critical error message window
everytime I boot into that OS. It occurs just before the KDE login screen

Jonathan Riddell (jr) on 2009-04-16
Changed in oem-config (Ubuntu):
milestone: none → ubuntu-9.04
Steve Langasek (vorlon) on 2009-04-16
Changed in oem-config (Ubuntu Jaunty):
importance: Undecided → High
Colin Watson (cjwatson) wrote :

Jonathan reckons that this is because kdmrc is being left with the autologin configuration in it, which now that I look at the code is entirely plausible.

Changed in oem-config (Ubuntu Jaunty):
assignee: nobody → Colin Watson (cjwatson)
status: New → Triaged
Colin Watson (cjwatson) on 2009-04-16
Changed in user-setup (Ubuntu Jaunty):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
milestone: none → ubuntu-9.04
status: New → Fix Committed
Changed in ubiquity (Ubuntu Jaunty):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
milestone: none → ubuntu-9.04
status: New → Triaged
Changed in oem-config (Ubuntu Jaunty):
status: Triaged → Fix Committed
Changed in ubiquity (Ubuntu Jaunty):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-setup - 1.23ubuntu20

---------------
user-setup (1.23ubuntu20) jaunty; urgency=low

  * Add preseedable passwd/auto-login-backup question; if set (e.g. to
    "oem") and passwd/auto-login=true, this backs up the previous contents
    of the configuration files (e.g. to /etc/kde4/kdm/kdmrc.oem). This can
    be used by oem-config to recover the old contents of the configuration
    files later (LP: #361272).

 -- Colin Watson <email address hidden> Thu, 16 Apr 2009 14:28:56 +0100

Changed in user-setup (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.12.10

---------------
ubiquity (1.12.10) jaunty; urgency=low

  [ Evan Dandrea ]
  * Fix a crash when in OEM mode. Child widgets are members of the
    self.userinterface list (LP: #361668).
  * Add support for displaying the "Use the largest continuous free space"
    option in the partition bars. Previously ubiquity would create a single
    Ubuntu partition that filled the entire drive when this option was
    selected (LP: #289663).
  * Pack the SegmentedBar widgets in GtkFrames rather than GtkEventBoxes
    to work around repainting issues (LP: #362334).
  * Automatic update of included source packages: flash-kernel
    2.13ubuntu7, user-setup 1.23ubuntu20.

  [ Colin Watson ]
  * Fix stripping of '=dev=' from device names when creating partition bars
    to avoid reducing e.g. '=dev=vda' to 'a' (LP: #362466).
  * KDE frontend:
    - Start the resize slider at the maximum possible size for the partition
      being resized; this is in line with the GTK frontend, and fixes the
      situation where the previous default (half-way between the minimum
      size and the current size) is out of range.
    - Use a better colour to represent the results of automatic partitioning
      (LP: #348461).
  * Preseed tzsetup/selected up-front rather than filtering it and then
    preseeding it; filtering it causes the backup state to be reset, which
    causes an infinite loop when backing up from the timezone page when the
    default country only has one timezone (LP: #361674).
  * Preseed passwd/auto-login-backup=oem in OEM mode, so that the original
    configuration files are available for restoration (LP: #361272).
  * Add a little extra state machine debugging to the partman component.
  * If an error/question dialog is displayed while changing steps is
    disabled, we currently need to re-enable changing steps in order to get
    a normal cursor, but that also enables the Back/Forward buttons and
    allows people to violate assertions by being too quick (e.g. selecting
    an autopartitioning choice while the installer is still busy analysing
    the possible choices). We should clean this up properly later, but for
    now just restore the allowed-change-step state when the dialog is
    finished.
  * Fix preseeding of the autopartitioning question to work in automatic
    mode: it needs to be preseeded as unseen, otherwise going back from a
    confirmation question doesn't work (LP: #361828). Remove an old code
    path that would have been very complicated to fix for this and is
    guaranteed to never be used nowadays.
  * Update translations from Launchpad.

  [ Jonathan Riddell ]
  * KDE frontend:
    - port reboot code to KDE 4, (LP: #360838)

  [ Mario Limonciello ]
  * Mythbuntu Frontend:
    - Don't launch GUI applications from within the chroot as this causes
      problems when libGL.so.1 and friends are diverted. Instead bind
      mount the necessary files to launch them outside the chroot.
      (LP: #362419)

 -- Evan Dandrea <email address hidden> Fri, 17 Apr 2009 10:07:14 +0100

Changed in ubiquity (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oem-config - 1.54.13

---------------
oem-config (1.54.13) jaunty; urgency=low

  [ Roman Shtylman ]
  * Updated the timezone map from ubiquity (LP: #360652), including copying
    CairoExtensions from ubiquity/segmented_bar.py.
  * Moved common artwork files from oem-config-gtk/oem-config-kde to
    oem-config.

  [ Colin Watson ]
  * Preseed tzsetup/selected up-front rather than filtering it and then
    preseeding it; filtering it causes the backup state to be reset, which
    causes an infinite loop when backing up from the timezone page when the
    default country only has one timezone (LP: #361674).
  * Preseed passwd/auto-login-backup=oem in the udeb, so that the original
    configuration files are available for restoration (LP: #361272).
  * Automatic update of included source packages: user-setup 1.23ubuntu20.

 -- Colin Watson <email address hidden> Fri, 17 Apr 2009 15:41:12 +0100

Changed in oem-config (Ubuntu Jaunty):
status: Fix Committed → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers